Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class WCSConfigurationDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.ogcwebservices.getcapabilities.OGCStandardCapabilitiesDocument
                      org.deegree.ogcwebservices.wcs.getcapabilities.WCSCapabilitiesDocument
                          org.deegree.ogcwebservices.wcs.configuration.WCSConfigurationDocument

All Implemented Interfaces:
  Serializable

    public class WCSConfigurationDocument

extends WCSCapabilitiesDocument

Version:
  $Revision: 20592 $
Author:
  Andreas Poth , last edited by: $Author: rbezema $ $Revision: 20592 $, $Date: 2009-11-05 13:24:27 +0100 (Do, 05. Nov 2009) $
See Also:
  Serialized Form

Field Summary
`protected static ILogger` | `LOG`
`static String` | `XML_TEMPLATE`

Fields inherited from class org.deegree.ogcwebservices.wcs.getcapabilities.WCSCapabilitiesDocument
`DGRNS, WCSNS`

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OGCStandardCapabilitiesDocument
`GMLNS, OGCNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WCSConfigurationDocument()`

Method Summary
`void` | `createEmptyDocument()`
`WCSDeegreeParams` | `getDeegreeParamsSection()` creates the deegreeParams section of the WCS capabilities/configuration.
`protected CoverageOfferingBrief` | `parseCoverageOfferingBrief(Element element)` creates a `CoverageOfferingBrief` object from the passed element encapsulating one CoverageOfferingBrief part of the WCS ContentMetadata section

Methods inherited from class org.deegree.ogcwebservices.wcs.getcapabilities.WCSCapabilitiesDocument
`parseAddress, parseCapabilities, parseContentMetadataSection, parseOperations, parseServiceSection`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCStandardCapabilitiesDocument
`getCapabilitySection, getDCPType, getDCPTypes, getExceptionFormat, parseMetadataLink, parseVersion`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parsePhone, parseUpdateSequence`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOG

    protected static final ILogger LOG

### XML_TEMPLATE

    public static final String XML_TEMPLATE

See Also:
  Constant Field Values

Constructor Detail

### WCSConfigurationDocument

    public WCSConfigurationDocument()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Overrides:
    `createEmptyDocument` in class `WCSCapabilitiesDocument`
  Throws:
    `IOException`
    `SAXException`

### getDeegreeParamsSection

    public WCSDeegreeParams getDeegreeParamsSection()
                                             throws InvalidConfigurationException

  creates the deegreeParams section of the WCS capabilities/configuration. If a 'common' WCS capabilities is encapsulated by the `WCSCapabilitieDocument` this method returns `null`

  Returns:
    the data
  Throws:
    `InvalidConfigurationException`

### parseCoverageOfferingBrief

    protected CoverageOfferingBrief parseCoverageOfferingBrief(Element element)
                                                        throws XMLParsingException,
                                                               OGCWebServiceException,
                                                               OGCException

  creates a `CoverageOfferingBrief` object from the passed element encapsulating one CoverageOfferingBrief part of the WCS ContentMetadata section

  Overrides:
    `parseCoverageOfferingBrief` in class `WCSCapabilitiesDocument`
  Parameters:
    `element` -
  Returns:
    created `CoverageOfferingBrief`
  Throws:
    `XMLParsingException`
    `OGCWebServiceException`
    `OGCException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org